SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

sys_api.h File Reference

This file provides following mbed system API: -JTAG OFF -LOGUART ON/OFF -OTA image switch -System Reset. More...

`#include "device.h"`

## Functions
Ameba Common
void | sys_jtag_off (void)
| Turn off the JTAG function. More...
void | sys_clear_ota_signature (void)
| switch OTA image if the othe OTA image is valid More...
void | sys_recover_ota_signature (void)
| switch OTA image if the othe OTA image is valid More...
void | sys_log_uart_on (void)
| open log uart More...
void | sys_log_uart_off (void)
| close log uart More...
void | sys_adc_calibration (u8 write, u16 *offset, u16 *gain)
| store or load adc calibration parameter More...
void | sys_reset (void)
| system software reset More...
Ameba1 Only
u8 | sys_is_sdram_power_on (void)
| check whether is sdram power on More...
void | sys_sdram_off (void)
| sdram power off More...
AmebaZ Only
void | sys_cpu_reset (void)
| vector reset More...

## Detailed Description

This file provides following mbed system API: -JTAG OFF -LOGUART ON/OFF -OTA image switch -System Reset.

mbed Microcontroller Library

Author

Version
  V1.0.0

Attention

Copyright (c) 2006-2013 ARM Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.